/* 
* This file is part of STiD135 OXFORD LLA 
* 
* Copyright (c) <2014>-<2018>, STMicroelectronics - All Rights Reserved 
* Author(s): Mathias Hilaire (mathias.hilaire@st.com), Thierry Delahaye (thierry.delahaye@st.com) for STMicroelectronics. 
* 
* License terms: BSD 3-clause "New" or "Revised" License. 
* 
* Redistribution and use in source and binary forms, with or without 
* modification, are permitted provided that the following conditions are met: 
* 
* 1. Redistributions of source code must retain the above copyright notice, this 
* list of conditions and the following disclaimer. 
* 
* 2. Redistributions in binary form must reproduce the above copyright notice, 
* this list of conditions and the following disclaimer in the documentation 
* and/or other materials provided with the distribution. 
* 
* 3. Neither the name of the copyright holder nor the names of its contributors 
* may be used to endorse or promote products derived from this software 
* without specific prior written permission. 
* 
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
* DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE 
* FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
* DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
* OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
* 
*/ 
/* -------------------------------------------------------------------------
* THIS FILE IS AUTOMATICALLY GENERATED 
* Script used is : create_regInterface.pl 
* File name  : C8CODEW_addr_map.h 
* File type  : H source file
* -------------------------------------------------------------------------
* Description:  Include for GUI FE SW
* Description:  This file is a design file copy updated with IP base address.
* -------------------------------------------------------------------------
The source config is : ./DEMOD_OXFORD/config.src 
*/
/*******************/
/*  ADDR  MAPPING  */
/*******************/
#ifndef _C8CODEW_ADDR_MAP_H_ 
#define _C8CODEW_ADDR_MAP_H_ 


#include "c8codew_custom.h" /* In this file is defined IP base address */ 

#define C8CODEW_TOP_CTRL_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0100) 
#define A1_DVBSX_AGCRF_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0200)	//	A1_ 
#define A2_DVBSX_AGCRF_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0220)	//	A2_ 
#define A3_DVBSX_AGCRF_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0240)	//	A3_ 
#define A4_DVBSX_AGCRF_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0260)	//	A4_ 
#define C8CODEW_RFMUX_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x02A0) 
#define D1_DVBSX_DISEQC_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0300)	//	D1_ 
#define Q1_DVBSX_DISEQCTST_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0330)	//	Q1_ 
#define D2_DVBSX_DISEQC_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0340)	//	D2_ 
#define Q2_DVBSX_DISEQCTST_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0370)	//	Q2_ 
#define D3_DVBSX_DISEQC_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0380)	//	D3_ 
#define Q3_DVBSX_DISEQCTST_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x03B0)	//	Q3_ 
#define D4_DVBSX_DISEQC_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x03C0)	//	D4_ 
#define Q4_DVBSX_DISEQCTST_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x03F0)	//	Q4_ 
#define DVBSX_FSK_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0400) 
#define DVBSX_LNBCTRL_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0500) 
#define C1_C8CODEW_PATH_CTRL_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0800)	//	C1_ 
#define G1_C8CODEW_PATH_CTRL_GEN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0840)	//	G1_ 
#define H1_DVBSX_HWARE_GEN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0880)	//	H1_ 
#define D1_DVBSX_DEMOD_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0900)	//	D1_ 
#define V1_DVBSX_VITERBI_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0D00)	//	V1_ 
#define S1_DVBSX_SUPERFEC_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0D80)	//	S1_ 
#define W1_DVBSX_HWARE_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0E00)	//	W1_ 
#define K1_DVBSX_PKTDELIN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0F00)	//	K1_ 
#define B1_DVBSX_FECSPY_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x0F80)	//	B1_ 
#define C2_C8CODEW_PATH_CTRL_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1000)	//	C2_ 
#define D2_DVBSX_DEMOD_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1100)	//	D2_ 
#define V2_DVBSX_VITERBI_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1500)	//	V2_ 
#define S2_DVBSX_SUPERFEC_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1580)	//	S2_ 
#define W2_DVBSX_HWARE_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1600)	//	W2_ 
#define K2_DVBSX_PKTDELIN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1700)	//	K2_ 
#define B2_DVBSX_FECSPY_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1780)	//	B2_ 
#define C3_C8CODEW_PATH_CTRL_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1800)	//	C3_ 
#define G2_C8CODEW_PATH_CTRL_GEN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1840)	//	G2_ 
#define H2_DVBSX_HWARE_GEN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1880)	//	H2_ 
#define D3_DVBSX_DEMOD_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1900)	//	D3_ 
#define V3_DVBSX_VITERBI_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1D00)	//	V3_ 
#define S3_DVBSX_SUPERFEC_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1D80)	//	S3_ 
#define W3_DVBSX_HWARE_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1E00)	//	W3_ 
#define K3_DVBSX_PKTDELIN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1F00)	//	K3_ 
#define B3_DVBSX_FECSPY_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x1F80)	//	B3_ 
#define C4_C8CODEW_PATH_CTRL_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2000)	//	C4_ 
#define D4_DVBSX_DEMOD_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2100)	//	D4_ 
#define V4_DVBSX_VITERBI_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2500)	//	V4_ 
#define S4_DVBSX_SUPERFEC_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2580)	//	S4_ 
#define W4_DVBSX_HWARE_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2600)	//	W4_ 
#define K4_DVBSX_PKTDELIN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2700)	//	K4_ 
#define B4_DVBSX_FECSPY_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2780)	//	B4_ 
#define C5_C8CODEW_PATH_CTRL_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2800)	//	C5_ 
#define G3_C8CODEW_PATH_CTRL_GEN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2840)	//	G3_ 
#define H3_DVBSX_HWARE_GEN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2880)	//	H3_ 
#define D5_DVBSX_DEMOD_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2900)	//	D5_ 
#define V5_DVBSX_VITERBI_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2D00)	//	V5_ 
#define S5_DVBSX_SUPERFEC_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2D80)	//	S5_ 
#define W5_DVBSX_HWARE_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2E00)	//	W5_ 
#define K5_DVBSX_PKTDELIN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2F00)	//	K5_ 
#define B5_DVBSX_FECSPY_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x2F80)	//	B5_ 
#define C6_C8CODEW_PATH_CTRL_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3000)	//	C6_ 
#define D6_DVBSX_DEMOD_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3100)	//	D6_ 
#define V6_DVBSX_VITERBI_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3500)	//	V6_ 
#define S6_DVBSX_SUPERFEC_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3580)	//	S6_ 
#define W6_DVBSX_HWARE_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3600)	//	W6_ 
#define K6_DVBSX_PKTDELIN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3700)	//	K6_ 
#define B6_DVBSX_FECSPY_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3780)	//	B6_ 
#define C7_C8CODEW_PATH_CTRL_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3800)	//	C7_ 
#define G4_C8CODEW_PATH_CTRL_GEN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3840)	//	G4_ 
#define H4_DVBSX_HWARE_GEN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3880)	//	H4_ 
#define D7_DVBSX_DEMOD_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3900)	//	D7_ 
#define V7_DVBSX_VITERBI_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3D00)	//	V7_ 
#define S7_DVBSX_SUPERFEC_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3D80)	//	S7_ 
#define W7_DVBSX_HWARE_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3E00)	//	W7_ 
#define K7_DVBSX_PKTDELIN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3F00)	//	K7_ 
#define B7_DVBSX_FECSPY_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x3F80)	//	B7_ 
#define C8_C8CODEW_PATH_CTRL_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x4000)	//	C8_ 
#define D8_DVBSX_DEMOD_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x4100)	//	D8_ 
#define V8_DVBSX_VITERBI_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x4500)	//	V8_ 
#define S8_DVBSX_SUPERFEC_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x4580)	//	S8_ 
#define W8_DVBSX_HWARE_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x4600)	//	W8_ 
#define K8_DVBSX_PKTDELIN_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x4700)	//	K8_ 
#define B8_DVBSX_FECSPY_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x4780)	//	B8_ 
#define C8CODEW_DVBS2FEC_ADDR(unit)	(C8CODEW_BASE_ADDR(unit) + 0x5000) 


#endif
