/* 
* This file is part of STiD135 OXFORD LLA 
* 
* Copyright (c) <2014>-<2018>, STMicroelectronics - All Rights Reserved 
* Author(s): Mathias Hilaire (mathias.hilaire@st.com), Thierry Delahaye (thierry.delahaye@st.com) for STMicroelectronics. 
* 
* License terms: BSD 3-clause "New" or "Revised" License. 
* 
* Redistribution and use in source and binary forms, with or without 
* modification, are permitted provided that the following conditions are met: 
* 
* 1. Redistributions of source code must retain the above copyright notice, this 
* list of conditions and the following disclaimer. 
* 
* 2. Redistributions in binary form must reproduce the above copyright notice, 
* this list of conditions and the following disclaimer in the documentation 
* and/or other materials provided with the distribution. 
* 
* 3. Neither the name of the copyright holder nor the names of its contributors 
* may be used to endorse or promote products derived from this software 
* without specific prior written permission. 
* 
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
* DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE 
* FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
* DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
* OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
* 
*/ 
#ifndef _C8SECTP_FE_INPUT_BLOCK_REG_INIT_H
#define _C8SECTP_FE_INPUT_BLOCK_REG_INIT_H

/* -------------------------------------------------------------------------
 * File name  : c8sectp_fe_input_block_reg_init.h
 * File type  : C header file
 * -------------------------------------------------------------------------
 * Description:  Register map constants
 * Generated by spirit2regtest v2.24_alpha3
 * -------------------------------------------------------------------------
 */


/* Register map constants */

/* C8SECTPFE_IB_INPUT_FORMAT_CONFIG */
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_INPUT_FORMAT_CONFIG       0x00000000
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_INPUT_FORMAT_CONFIG__DEFAULT 0x0       
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_INPUT_FORMAT_CONFIG_SERIAL_NOT_PARALLEL__MASK 0x00000001
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_INPUT_FORMAT_CONFIG_BYTE_ENDIANNESS__MASK 0x00000002
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_INPUT_FORMAT_CONFIG_ASYNC_NOT_SYNC__MASK 0x00000004
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_INPUT_FORMAT_CONFIG_ALIGN_BYTE_SOP__MASK 0x00000008
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_INPUT_FORMAT_CONFIG_INVERT_TSCLK__MASK 0x00000010
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_INPUT_FORMAT_CONFIG_IGNORE_ERROR_IN_BYTE__MASK 0x00000020
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_INPUT_FORMAT_CONFIG_IGNORE_ERROR_IN_PKT__MASK 0x00000040
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_INPUT_FORMAT_CONFIG_IGNORE_ERROR_AT_SOP__MASK 0x00000080

/* C8SECTPFE_IB_SLD_CONFIG */
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_SLD_CONFIG                0x00000004
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_SLD_CONFIG__DEFAULT       0x4700    
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_SLD_CONFIG_SYNC__MASK     0x0000000F
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_SLD_CONFIG_DROP__MASK     0x000000F0
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_SLD_CONFIG_TOKEN__MASK    0x0000FF00
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_SLD_CONFIG_ENDIANNESS__MASK 0x00010000

/* C8SECTPFE_IB_TAG_BYTES */
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_TAG_BYTES                 0x00000008
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_TAG_BYTES__DEFAULT        0x0       
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_TAG_BYTES_ENABLE__MASK    0x00000001
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_TAG_BYTES_COUNTER__MASK   0x00000002
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_TAG_BYTES_TAG_HEADER__MASK 0xFFFF0000

/* C8SECTPFE_IB_PID_FILTER */
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_PID_FILTER                0x0000000c
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_PID_FILTER__DEFAULT       0x0       
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_PID_FILTER_OFFSET__MASK   0x0000003F
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_PID_FILTER_NUM_BITS__MASK 0x00000040
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_PID_FILTER_ENABLE__MASK   0x80000000

/* C8SECTPFE_IB_PKT_LENGTH */
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_PKT_LENGTH                0x00000010
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_PKT_LENGTH__DEFAULT       0xbc      
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_PKT_LENGTH_VALUE__MASK    0x000000FF

/* C8SECTPFE_IB_BUFFER_START */
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_BUFFER_START              0x00000014
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_BUFFER_START__DEFAULT     0x0       
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_BUFFER_START_VALUE__MASK  0x00003FC0

/* C8SECTPFE_IB_BUFFER_END */
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_BUFFER_END                0x00000018
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_BUFFER_END__DEFAULT       0x3f      
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_BUFFER_END_VALUE__MASK    0x00003FC0

/* C8SECTPFE_IB_READ_POINTER */
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_READ_POINTER              0x0000001c
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_READ_POINTER__DEFAULT     0x0       
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_READ_POINTER_VALUE__MASK  0x00003FF8

/* C8SECTPFE_IB_WRITE_POINTER */
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_WRITE_POINTER             0x00000020
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_WRITE_POINTER__DEFAULT    0x0       
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_WRITE_POINTER_VALUE__MASK 0x00003FF8

/* C8SECTPFE_IB_PRIORITY_THRESHOLD */
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_PRIORITY_THRESHOLD        0x00000024
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_PRIORITY_THRESHOLD__DEFAULT 0x0       
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_PRIORITY_THRESHOLD_VALUE__MASK 0x0000000F
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_PRIORITY_THRESHOLD_LOW_PRI__MASK 0x0F000000
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_PRIORITY_THRESHOLD_HIGH_PRI__MASK 0xF0000000

/* C8SECTPFE_IB_STATUS */
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_STATUS                    0x00000028
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_STATUS__DEFAULT           0x0       
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_STATUS_FIFO_OVERFLOW__MASK 0x00000001
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_STATUS_BUFFER_OVERFLOW__MASK 0x00000002
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_STATUS_OUT_OF_ORDER_RP__MASK 0x00000004
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_STATUS_PID_OVERFLOW__MASK 0x00000008
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_STATUS_PKT_OVERFLOW__MASK 0x00000010
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_STATUS_ERROR_PACKETS__MASK 0x00000F00
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_STATUS_SHORT_PACKETS__MASK 0x0000F000
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_STATUS_LOCKED__MASK       0x40000000

/* C8SECTPFE_IB_MASK */
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_MASK                      0x0000002c
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_MASK__DEFAULT             0x0       
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_MASK_FIFO_OVERFLOW__MASK  0x00000001
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_MASK_BUFFER_OVERFLOW__MASK 0x00000002
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_MASK_OUT_OF_ORDER_RP__MASK 0x00000004
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_MASK_PID_OVERFLOW__MASK   0x00000008
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_MASK_PKT_OVERFLOW__MASK   0x00000010
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_MASK_ERROR_PACKETS__MASK  0x00000F00
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_MASK_SHORT_PACKETS__MASK  0x0000F000

/* C8SECTPFE_IB_SYSTEM */
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_SYSTEM                    0x00000030
#define RSTID135_C8SECTPFE_IB_C8SECTPFE_IB_SYSTEM__DEFAULT           0x0       
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_SYSTEM_ENABLE__MASK       0x00000001
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_SYSTEM_RESET__MASK        0x00000002
#define FSTID135_C8SECTPFE_IB_C8SECTPFE_IB_SYSTEM_BYPASS__MASK       0x00000004


/* Number of registers */
#define STID135_C8SECTP_FE_INPUT_BLOCK_REG_NBREGS                    13        

/* Number of fields */
#define STID135_C8SECTP_FE_INPUT_BLOCK_REG_NBFIELDS                  44        



#endif /* #ifndef _C8SECTP_FE_INPUT_BLOCK_REG_INIT_H */
